std::tr1::_Has_result_type(3)

NAME
std::tr1::_Has_result_type -

SYNOPSIS

Inherits integral_constant< bool, std::tr1::_Has_result_type_helper< std::tr1::remove_cv< _Tp >::type >::value >.

Detailed Description

  template<typename _Tp> struct std::tr1::_Has_result_type< _Tp >

Definition at line 82 of file tr1/functional.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Static Public Attributes
static const _Tp value

Author

Generated automatically by Doxygen for libstdc++ from the source code.